Page MenuHomePhabricator

Make MediaWiki a featured project for new developers
Closed, DeclinedPublic

Description

Developer-Advocacy focuses their outreach activities on Featured Projects that guarantee some newcomer friendliness in terms of mentoring, support, documentation, availability of first tasks...

While we decided not to include MediaWiki to the list of featured projects, and while that was a good decision indeed, we should aim to include Wikimedia's flagship software project one day. Maybe not easy, but neither impossible. Maybe not for the entire codebase, but maybe there would be a way to identify areas where mentors and first tasks would be available.

There is the hypothesis that a project that is good to receive contributions for newcomers is also good place for regular contributors. Having more newcomers using MediaWiki documentation and contributing to this codebase must be a good mid term investment beyond the newcomers themselves.

Event Timeline

Qgil created this task.Sep 25 2017, 8:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2017, 8:31 PM
Aklapper changed the task status from Open to Stalled.Oct 14 2017, 12:25 PM
Aklapper added a project: Epic.

Everybody agrees anyway that every codebase should have a good clean architecture, all its areas should be maintained (have someone feel responsible), well documented, etc. Given we're talking about a 15 year old large code base, this task is more than Epic and will be stalled / non-actionable for quite a few years.
I don't see much sense in having this task.

Qgil added a comment.Oct 16 2017, 7:31 AM

If @CCicalese_WMF agrees, then so be it.

I'm conflicted. This is a good aspirational goal, but I agree that it is not likely in the short term.

Qgil added a comment.Oct 19 2017, 5:29 PM

It would be useful to have a blocker defined as in "as long as X is not done, we don't even need to think about this task". Once this is identified, we can close this task but still remember the blocker(s).

It would be useful to have a blocker defined as in "as long as X is not done, we don't even need to think about this task".

One blocker IMHO: The "Responsible Wikimedia team" column on https://www.mediawiki.org/wiki/Developers/Maintainers#MediaWiki_core should have no "???" entries left anymore.

Agreed! Is there a task (tasks?) related to maintaining that table?

Not an open recent one. Historically speaking, https://phabricator.wikimedia.org/T128370 (but not for Core only) in the context of Code Review vs ownership.

Aklapper triaged this task as Lowest priority.Apr 18 2018, 1:18 PM
Aklapper closed this task as Declined.EditedMar 20 2019, 12:07 PM

Please feel free to reopen this task once these numbers have significantly changed. No need to keep around wishful thinking tasks that might remain unactionable for ages.